Network Logging

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다. 본 가이드는 Network Logging 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

VersionStatusNot Before
1.1CURRENT-
1.0SUPPORTED20270131

OpenAPI URL

https://network-logging.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.1

Network Logging API 버전 1.1이 출시되었습니다.

변경사항

  • [변경] GET /v1/network-logging/configurations - List Network Logging Configurations API가 변경되었습니다.
    • 응답 모델이 NetworkLoggingConfigurationV1Dot1 로 변경되었습니다.
      • 응답 시, 아래와 같은 필드가 추가됩니다.
        • config_detail
      • 응답 시, 아래와 같은 필드가 삭제됩니다.
        • up_interface, down_interface, security_group_log_id

1.0

Network Logging API가 출시되었습니다.

변경사항

  • [신규] GET /v1/network-logging/configurations - API가 추가되었습니다.
  • [신규] GET /v1/network-logging/storages - API가 추가되었습니다.
  • [신규] POST /v1/network-logging/storages - API가 추가되었습니다.
  • [신규] DELETE /v1/network-logging/storages/{network_logging_storage_id} - API가 추가되었습니다.

1 - APIs

1.1 - Create Network Logging Storage

1.1.1 - 1.1

post /v1/network-logging/storages

Description

Network Logging Storage 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NetworkLoggingStorageCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNetworkLoggingStorageShowResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/network-logging/storages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.1"

Request body

{
    "bucket_name": "",
    "resource_type": "FIREWALL"
}

Example HTTP response

Response 201

{
    "network_logging_storage": {
        "account_id": "",
        "bucket_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "resource_type": "FIREWALL"
    }
}

1.1.2 - 1.0

post /v1/network-logging/storages

Description

Network Logging Storage 생성한다.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NetworkLoggingStorageCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNetworkLoggingStorageShowResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/network-logging/storages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.0"

Request body

{
    "bucket_name": "",
    "resource_type": "FIREWALL"
}

Example HTTP response

Response 201

{
    "network_logging_storage": {
        "account_id": "",
        "bucket_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "resource_type": "FIREWALL"
    }
}

1.2 - Delete Network Logging Storage

1.2.1 - 1.1

delete /v1/network-logging/storages/{network_logging_storage_id}

Description

Network Logging Storage 삭제한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathnetwork_logging_storage_id
required
Network Logging Storage ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/network-logging/storages/{network_logging_storage_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.1"

Example HTTP response

Response 204

1.2.2 - 1.0

delete /v1/network-logging/storages/{network_logging_storage_id}

Description

Network Logging Storage 삭제한다.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
pathnetwork_logging_storage_id
required
Network Logging Storage ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/network-logging/storages/{network_logging_storage_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.0"

Example HTTP response

Response 204

1.3 - List Network Logging Configurations

1.3.1 - 1.1

get /v1/network-logging/configurations

Description

Network Logging Configuration 목록 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryresource_id
optional
리소스 ID
Example :
stringNone
queryresource_name
optional
리소스 이름
Example :
stringNone
queryresource_type
required
리소스 타입
Example :
enum (FIREWALL, SECURITY_GROUP, NAT)None

Responses

HTTP CodeDescriptionSchema
200OKNetworkLoggingConfigurationListResponseV1Dot1
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/network-logging/configurations?resource_type={resource_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "network_logging_configurations": [
        {
            "account_id": "",
            "bucket_name": "",
            "config_detail": [
                {
                    "device_label": "",
                    "down_interface": "",
                    "security_group_log_id": "",
                    "up_interface": ""
                }
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "resource_id": "",
            "resource_name": "",
            "resource_type": "FIREWALL"
        }
    ]
}

1.3.2 - 1.0

get /v1/network-logging/configurations

Description

Network Logging Configuration 목록 조회한다.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryresource_id
optional
리소스 ID
Example :
stringNone
queryresource_name
optional
리소스 이름
Example :
stringNone
queryresource_type
required
리소스 타입
Example :
enum (FIREWALL, SECURITY_GROUP, NAT)None

Responses

HTTP CodeDescriptionSchema
200OKNetworkLoggingConfigurationListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/network-logging/configurations?resource_type={resource_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "network_logging_configurations": [
        {
            "account_id": "",
            "bucket_name": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "down_interface": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "resource_id": "",
            "resource_name": "",
            "resource_type": "FIREWALL",
            "security_group_log_id": "",
            "up_interface": ""
        }
    ]
}

1.4 - List Network Logging Storages

1.4.1 - 1.1

get /v1/network-logging/storages

Description

Network Logging Storage 목록 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryresource_type
required
리소스 타입
Example :
enum (FIREWALL, SECURITY_GROUP, NAT)None

Responses

HTTP CodeDescriptionSchema
200OKNetworkLoggingStorageListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/network-logging/storages?resource_type={resource_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "network_logging_storages": [
        {
            "account_id": "",
            "bucket_name": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "resource_type": "FIREWALL"
        }
    ]
}

1.4.2 - 1.0

get /v1/network-logging/storages

Description

Network Logging Storage 목록 조회한다.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020270131

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryresource_type
required
리소스 타입
Example :
enum (FIREWALL, SECURITY_GROUP, NAT)None

Responses

HTTP CodeDescriptionSchema
200OKNetworkLoggingStorageListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/network-logging/storages?resource_type={resource_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = network-logging 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "network_logging_storages": [
        {
            "account_id": "",
            "bucket_name": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "resource_type": "FIREWALL"
        }
    ]
}

2 - Models

2.1 - NetworkLoggingConfigDetail

NameDescriptionSchemaDefault
device_label
optional
디바이스 구분자
Example :
any of [string, null]
down_interface
optional
하향 인터페이스
Example :
any of [string, null]
security_group_log_id
optional
Security Group 로그 ID
Example :
any of [string, null]
up_interface
optional
상향 인터페이스
Example :
any of [string, null]

2.2 - NetworkLoggingConfiguration

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
bucket_name
required
저장소 버킷 이름
Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
down_interface
optional
하향 인터페이스
Example :
any of [string, null]
id
required
Network Logging Configuration ID
Example :
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
resource_id
required
리소스 ID
Example :
string
resource_name
required
리소스 이름
Example :
string
resource_type
required
리소스 타입
Example : FIREWALL
enum (FIREWALL, SECURITY_GROUP, NAT)
security_group_log_id
optional
Security Group 로그 ID
Example :
any of [string, null]
up_interface
optional
상향 인터페이스
Example :
any of [string, null]

2.3 - NetworkLoggingConfigurationListResponse

NameDescriptionSchemaDefault
count
optional
전체 개수
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
network_logging_configurations
required

array[NetworkLoggingConfiguration]

2.4 - NetworkLoggingConfigurationListResponseV1Dot1

NameDescriptionSchemaDefault
count
optional
전체 개수
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
network_logging_configurations
required

array[NetworkLoggingConfigurationV1Dot1]

2.5 - NetworkLoggingConfigurationV1Dot1

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
bucket_name
required
저장소 버킷 이름
Example :
string
config_detail
required
로그 저장 상세 설정
array[NetworkLoggingConfigDetail]
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
id
required
Network Logging Configuration ID
Example :
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
resource_id
required
리소스 ID
Example :
string
resource_name
required
리소스 이름
Example :
string
resource_type
required
리소스 타입
Example : FIREWALL
enum (FIREWALL, SECURITY_GROUP, NAT)

2.6 - NetworkLoggingStorage

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
bucket_name
required
저장소 버킷 이름
Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
id
required
Network Logging Storage ID
Example :
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
resource_type
required
리소스 타입
Example : FIREWALL
enum (FIREWALL, SECURITY_GROUP, NAT)

2.7 - NetworkLoggingStorageCreateRequest

NameDescriptionSchemaDefault
bucket_name
required
저장소 버킷 이름
Example :
string
resource_type
required
리소스 타입
Example : FIREWALL
enum (FIREWALL, SECURITY_GROUP, NAT)

2.8 - NetworkLoggingStorageListResponse

NameDescriptionSchemaDefault
count
optional
전체 개수
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
network_logging_storages
required

array[NetworkLoggingStorage]

2.9 - NetworkLoggingStorageShowResponse

NameDescriptionSchemaDefault
network_logging_storage
required

NetworkLoggingStorage